light-mode-image
Learn
API ReferenceCWT credentials

Format a CWT credential as a PDF

Roles

adminissuermanaged-issuer

Analytics Events

CREDENTIAL_COMPACT_PDF_CREATE_STARTCREDENTIAL_COMPACT_PDF_CREATE_SUCCESSCREDENTIAL_COMPACT_PDF_CREATE_FAIL
POST/v2/credentials/compact/pdf

Returns a PDF representation of a provided CWT credential based on an existing PDF template.

Analytic events

  • CREDENTIAL_COMPACT_PDF_CREATE_START
  • CREDENTIAL_COMPACT_PDF_CREATE_SUCCESS
  • CREDENTIAL_COMPACT_PDF_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Credential payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/pdf

application/json

application/json

curl -X POST "https://example.com/v2/credentials/compact/pdf" \  -H "Content-Type: application/json" \  -d '{    "templateId": "4eea7654-d4c5-4eba-bd7a-5ca334d54725",    "payload": "{payload}"  }'
null

How would you rate this page?